namespace Application.Features.Api.Crew.GetCrewRanking;

public sealed record Response(IReadOnlyList<CrewRankItem> List, int TotalAmount);

public sealed record CrewRankItem(
    int Rank, int CrewMemberID, string Nickname, string? Icon,
    string? ChannelName, int TotalAmount, int DonationCount, decimal ContributionRate
);